Subject: bug#33794: 26.1; electric-pair-mode breaks auto-newline minor mode of cc-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Dec 2018 12:12:33 -0500

> hear about it, and your quick hack will start causing unexpected behavior
> that I will then have to fix myself down the line. Indeed, I have oft mused

I believe there's a misunderstand here: his quick hack is intended to
figure out how to provide a long term solution.  IOW he's not proposing
it as a solution for you, but is rather asking you to help us write
a long term fix by testing design points.

        Stefan